Package oasis.names.tc.saml._2_0.protocol

# Class IDPEntry

java.lang.Object
oasis.names.tc.saml._2_0.protocol.IDPEntry

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class IDPEntry extends Object implements Serializable

Java class for IDPEntryType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IDPEntryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="ProviderID" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="Name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Loc" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IDPEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLoc()`
  Gets the value of the loc property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getProviderID()`
  Gets the value of the providerID property.
  `void`
  `setLoc(String value)`
  Sets the value of the loc property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setProviderID(String value)`
  Sets the value of the providerID property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IDPEntry

    public IDPEntry()

- ## Method Details

  - ### getProviderID

    public String getProviderID()
    Gets the value of the providerID property.
    Returns:
      possible object is `String`

  - ### setProviderID

    public void setProviderID(String value)
    Sets the value of the providerID property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLoc

    public String getLoc()
    Gets the value of the loc property.
    Returns:
      possible object is `String`

  - ### setLoc

    public void setLoc(String value)
    Sets the value of the loc property.
    Parameters:
      `value` - allowed object is `String`